<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core">



    <h:head>
        <title>Facelet Title</title>
    </h:head>


    <h:body>

        <h:form prependId="false">

            <p:growl autoUpdate="true" id="growl" />

            <p:messages id="msg" />


            <p:panelGrid columns="2">

                <f:facet name="header">
                    Dados do Autor                    
                </f:facet>

                <p:outputLabel value="Codigo:" for="codigo"/>
                <p:inputText id="codigo" value="#{autorBean.autor.id == 0 ? '' : autorBean.autor.id}" style="width: 40px" readonly="true"/>

                <p:outputLabel value="Nome" for="nome"/>
                <h:panelGroup>
                    <p:inputText id="nome" value="#{autorBean.autor.nome}" required="true"/>
                    <p:message for="nome"/>
                </h:panelGroup>

                <p:outputLabel value="E-Mail" for="email"/>
                <h:panelGroup>
                    <p:inputText id="email" value="#{autorBean.autor.email}" required="true"/>
                    <p:message for="email"/>
                </h:panelGroup>

                <f:facet name="footer">
                    <p:commandButton value="Salvar" ajax="false" action="#{autorBean.salvar}"/>
                </f:facet>

            </p:panelGrid>

            <h:dataTable var="autor" value="#{autorBean.lista}">
                <h:column >#{autor.id}</h:column>
                <h:column>#{autor.nome}</h:column>
                <h:column>#{autor.email}</h:column>
            </h:dataTable>


        </h:form>

    </h:body>
</html>

